#!/bin/sh

# Setup auth
echo '{"auths":{"'"$(printf "%s" "$INPUT_REGISTRY")"'":{"auth":"'"$(printf "%s" "$INPUT_CREDENTIAL" | base64 | tr -d '\n')"'"}}}' > /kaniko/.docker/config.json

if [ -n "$INPUT_WORKDIR" ]; then
    cd "$INPUT_WORKDIR" || exit 1
    printf 'cd %s -> %s\n' "$OLDPWD" "$PWD"
fi

context_flag=""
if [ -n "$INPUT_CONTEXT" ]; then
    context_flag="--context"
    context_flag_val="$INPUT_CONTEXT"
fi

# Build container
/kaniko/executor --dockerfile "$INPUT_DOCKERFILE" --destination "$INPUT_REGISTRY/$INPUT_IMAGE" "$context_flag" "$context_flag_val"
